GET /api/v1/profile/metadata

Returns the list of data model objects, their fields, and category.

Syntax

HTTP method
GET
Availability
Salesforce CDP v1.0, Salesforce v51.0
Formats
REST
URI
/api/v1/profile/metadata

Request Parameters

None.

Examples

Request
1https://{TSE}.360a.salesforce.com/api/v1/profile/metadata
Response
1{
2  "metadata": [
3    { 
4      "indexes": [
5        { 
6          "fields": [
7            {
8              "name": "FirstName__c",
9              "type": "STRING"
10            }
11          ]
12        }
13      ],
14      "name": "Individual__dlm",
15      "category": "Profile",
16      "displayName" : "Individual",
17      "fields": [
18        { 
19          "name": "BirthDate__c",
20          "displayName": "Birth Date",
21          "type": "DATE" 
22        },
23        {
24          "name": "FirstName__c",
25          "displayName" : "First Name",
26          "type": "STRING" 
27        }
28      ],
29      "relationships" : [
30        {
31          "fromEntity" : "ContactPointEmail__dlm",
32          "toEntity" : "Individual__dlm",
33          "fromEntityAttribute" : "PartyId__c",
34          "toEntityAttribute" : "Id__c",
35          "cardinality" : "NTOONE"
36        }
37      ],
38      "primaryKeys" : [
39        { 
40          "name" : "Id__c", 
41          "displayName" : "Individual Id",
42          "indexOrder" : "1"
43        }
44      ]
45    }
46  ]
47}

HTTP Responses

Response Reason
200 OK Callback successfully verified
400 Bad Request Invalid request
403 Forbidden Failed to pass authorization.
404 Not Found Incorrect callback ID, verification key, or both.
422 Unprocessable Entity Attribute name used in fields/filter parameter doesn’t exist.
500 Server Error Internal error